#!/bin/tcsh -f
# Script to count files in Stage area pending to be imported!!
set STAGEFOLDER=/pla/stage
echo '##############################################################'
echo " Files waiting to be imported in $STAGEFOLDER"
echo '##############################################################'
echo "HFI Frequency Map Files:               `ls -1 $STAGEFOLDER/maps/frequency/hfi* | wc -l `"
echo "LFI Frequency Map Files:               `ls -1 $STAGEFOLDER/maps/frequency/lfi* | wc -l `"
echo "HFI Document Files:                    `ls -1 $STAGEFOLDER/others/docs/hfi* | wc -l `"
echo "LFI Document Files:                    `ls -1 $STAGEFOLDER/others/docs/lfi* | wc -l `"
echo "Catalogue Document Files:              `ls -1 $STAGEFOLDER/others/catalogs* | wc -l `"
echo "Miscellaneous Files:                   `ls -1 $STAGEFOLDER/others/misc* | wc -l `"
echo "ECC Catalogue Postcard Files (353Ghz): `ls -1 $STAGEFOLDER/catalogs/ecc/postcards/353* | wc -l `"
echo "ECC Catalogue Postcard Files (545Ghz): `ls -1 $STAGEFOLDER/catalogs/ecc/postcards/545* | wc -l `"
echo "ECC Catalogue Postcard Files (857Ghz): `ls -1 $STAGEFOLDER/catalogs/ecc/postcards/857* | wc -l `"
echo "ERCSC Catalogue Postcard Files:        `ls -1 $STAGEFOLDER/catalogs/ercsc/postcards* | wc -l `"
echo "ESZ Catalogue Postcard Files:          `ls -1 $STAGEFOLDER/catalogs/esz/postcards* | wc -l `"
echo "ECC Catalogue Note Files:              `ls -1 $STAGEFOLDER/catalogs/ecc/notes* | wc -l `"
echo "ERCSC Catalogue Note Files:            `ls -1 $STAGEFOLDER/catalogs/ercsc/notes* | wc -l `"
echo "ESZ Catalogue Note Files:              `ls -1 $STAGEFOLDER/catalogs/esz/notes* | wc -l `"
echo '##############################################################'